%if 0%{?rhel} <= 5
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?el5}
#python26 support for el5
%{!?python26_sitearch: %global python26_sitearch %(python26 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?python26_support:  %global python26_support 1}
%global __os_install_post %{__multiple_python_os_install_post}
%endif

%{!?python_version: %global python_version %(%{__python} -c "import sys; print('%s.%s'%sys.version_info[:2])")}
%{!?python_version_nodot: %global python_version_nodot %(%{__python} -c "import sys; print('%s%s'%sys.version_info[:2])")}

## add filter setup
%{?filter_setup:
%filter_provides_in %{python_sitearch}.*\.so$
%filter_setup
}

Name:						gfal
Version:					1.14.0
Release:					1%{?dist}
Summary:					Grid File access library
Group:						System Environment/Libraries
License:					ASL 2.0
URL:						https://svnweb.cern.ch/trac/lcgutil
# svn export http://svn.cern.ch/guest/lcgutil/gfal/trunk gfal
Source0:					http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/tar/%{name}/%{name}-%{version}.tar.gz 
BuildRoot:					%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
#Exclude ppc architecture on epel5, impossible to compile properly with the old gcc version
%if %{defined rhel} && 0%{?rhel} < 6
ExcludeArch:                           ppc
%endif


BuildRequires:				automake
BuildRequires:				CGSI-gSOAP-devel
BuildRequires:				dcap-devel
BuildRequires:				dpm-devel
%if 0%{?el5}
BuildRequires:				e2fsprogs-devel
%else
BuildRequires:				libuuid-devel	
%endif
BuildRequires:				is-interface-devel
BuildRequires:				glib2-devel
BuildRequires:				globus-ftp-client-devel
BuildRequires:				globus-common-progs
BuildRequires:				gsoap-devel >= 2.7.13
BuildRequires:				libtool
BuildRequires:				lfc-devel
BuildRequires:				openldap-devel
BuildRequires:				python-devel
BuildRequires:				srm-ifce-devel
BuildRequires:				voms-devel
BuildRequires:				swig >= 1.3.0
%if 0%{?python26_support}
BuildRequires:				python26-devel
%endif

Requires:					dcap-libs%{?_isa}
Requires:					dpm-libs%{?_isa}
Requires:					lfc-libs%{?_isa}

%description
The Grid File Access Library offers a POSIX interface to Replica Catalogs,
Storage Resource Managers and File Access services using protocols like rfio,
dcap. This Library is now deprecated in favor of gfal2

%package devel
Summary:					Client side headers and development files
Group:						System Environment/Libraries
Requires:					%{name}%{?_isa} = %{version}

%description devel
This package contains  development files for gfal

%package doc
Summary:					Documentation for %{name}
Group:						System Environment/Libraries
Requires:					%{name}%{?_isa} = %{version}

%description doc
Documentation for %{name}, man pages and examples

%package python
Summary:					Python bindings for gfal 1.0
Group:						System Environment/Libraries
Provides:					%{name}-py%{python_version_nodot} = %{version}
Requires:					%{name}%{?_isa} = %{version}

%description python
python global bindings for gfal 1.0

%if 0%{?python26_support}
%package python26
Summary:					Python26 bindings for gfal 1.0
Group:						System Environment/Libraries
Provides:					%{name}-py26 = %{version}
Obsoletes:					%{name}-py26 < %{version}
Requires:					%{name}%{?_isa} = %{version}

%description python26
python26 bindings for gfal 1.0
%endif

%prep
%setup -q
%if 0%{?python26_support}
mkdir -p %{_builddir}/%{name}-py26-%{version};
cp -rf %{_builddir}/%{name}-%{version}/* %{_builddir}/%{name}-py26-%{version};
cd %{_builddir}/%{name}-%{version};
%endif

%build
mkdir -p src/autogen; 
aclocal -I m4-EPEL/; 
libtoolize --force; 
autoheader; 
automake --foreign --add-missing --copy; 
autoconf;
%{configure} \
--with-version=%{version} \
--with-release=%{release} \
--with-cgsi-gsoap-location=/ \
--with-lfc-location=/ --with-dpm-location=/ \
--with-srm-ifce-location=/usr/ \
--with-voms-location=/ \
--with-dcap-location=/ \
--with-emi \
--with-pythonrelease=%{python_version} 
make %{?_smp_mflags}

%if 0%{?python26_support}
cd %{_builddir}/%{name}-py26-%{version};
mkdir -p src/autogen; 
aclocal -I m4-EPEL/; 
libtoolize --force; 
autoheader; 
automake --foreign --add-missing --copy; 
autoconf;
%{configure} \
--with-version=%{version} \
--with-release=%{release} \
--with-cgsi-gsoap-location=/ \
--with-lfc-location=/ --with-dpm-location=/ \
--with-srm-ifce-location=/usr/ \
--with-voms-location=/ \
--with-dcap-location=/ \
--with-emi \
--with-pythonrelease=2.6
make %{?_smp_mflags} 
cd %{_builddir}/%{name}-%{version};
%endif

%check
%{_builddir}/%{name}-%{version}/src/gfal_unittest

%install
rm -rf %{buildroot}
make %{?_smp_mflags} DESTDIR=%{buildroot} install;
# clear libtools files
rm -f %{buildroot}/%{python_sitearch}/_gfal*.*a
rm -f %{buildroot}/%{_libdir}/libgfal*.*a

%if 0%{?python26_support}
cd %{_builddir}/%{name}-py26-%{version};
make %{?_smp_mflags} DESTDIR=%{buildroot} install;
# clear libtools files
rm -f %{buildroot}/%{python26_sitearch}/_gfal*.*a
rm -f %{buildroot}/%{_libdir}/libgfal*.*a
cd %{_builddir}/%{name}-%{version};
%endif

%ifarch %{ix86}
mv %{buildroot}/%{_bindir}/gfal_version %{buildroot}/%{_bindir}/gfal_version-32
%endif


%clean
rm -rf %{buildroot}
make %{?_smp_mflags} clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root)
%ifarch %{ix86}
%{_bindir}/gfal_version-32
%else
%{_bindir}/gfal_version
%endif
%{_libdir}/libgfal.so.*
%{_libdir}/libgfal_pthr.so.*
%{_docdir}/%{name}-%{version}/LICENSE
%{_docdir}/%{name}-%{version}/VERSION

%files devel
%defattr (-,root,root)
%{_docdir}/%{name}-%{version}/RELEASE-NOTES
%{_libdir}/libgfal.so
%{_libdir}/libgfal_pthr.so
%{_includedir}/gfal_api.h
%{_includedir}/gfal_internals.h
%{_includedir}/gfal_types.h
%{_includedir}/gfal_constants.h

%files doc
%defattr (-,root,root)
%{_mandir}/man3/gfal_*.3.*
%{_mandir}/man3/gfal.3.*
%{_bindir}/gfal_test*
%{_bindir}/gfal_unit*

%files python
%defattr (-,root,root)
%{python_sitearch}/gfal.py*
%{python_sitearch}/_gfal.so
%{python_sitearch}/_gfal.so.*
%{python_sitearch}/gfalthr.py*
%{python_sitearch}/_gfalthr.so
%{python_sitearch}/_gfalthr.so.*
%{_docdir}/%{name}-%{version}/DESCRIPTION_PYTHON

%if 0%{?python26_support}
%files python26
%defattr (-,root,root)
%{python26_sitearch}/gfal.py*
%{python26_sitearch}/_gfal.so
%{python26_sitearch}/_gfal.so.*
%{python26_sitearch}/gfalthr.py*
%{python26_sitearch}/_gfalthr.so
%{python26_sitearch}/_gfalthr.so.*
%endif

%changelog
* Tue Jan 08 2013 Adrien Devresse <adevress at cern.ch> -  1.14.0-1
- fix for LCGUTIL-82

* Thu Nov 29 2012 Adrien Devresse <adevress at cern.ch> - 1.14.0
 - correction of a warning message in lcg-util LCGUTIL-47
 - change default srm timeout to 3600 seconds LCGUTIL-180

* Thu Sep 13 2012 Adrien Devresse <adevress at cern.ch> - 1.13.9-0
 - fix the emi wn conflict between 32bits version and 64bits version

* Fri Jul 20 2012 Adrien Devresse <adevress at cern.ch> - 1.13.0-0
 - correction on timeout management ( SRM operation and connect timeout )
 - compilation restriction for 32bits ( need to be 64 bits file offset compatible )
 - unit test execution added to spec file
 - synchronisation with EMI 2 Update
 

* Tue Apr 23 2012 <zsolt.molnar@cern.ch> - 1.12.1-1
 - patch version increased, EMI 2 RC 4 synchronisation
 - Trac ticket 317: fix EMI 2 problem with lfc in gfal 1.0

* Mon Apr 16 2012 <adevress at cern.ch> - 1.12.0-7
 - add python26 modification for el5

* Wed Apr 04 2012 <adevress at cern.ch> - 1.12.0-6
 - updated version for EMI 1.12.0 synchronisation

* Wed Feb 29 2012 <adevress at cern.ch> - 1.12.0-4
 - correct a problem with the lfc shared library

* Wed Feb 15 2012 <adevress at cern.ch> - 1.12.0-3
 - add arch exclusion for ppc on epel5, compilation problem

* Tue Feb 14 2012 <adevress at cern.ch> - 1.12.0-2
 - First review corrections

* Tue Dec 13 2011 <adevress at cern.ch> - 1.12.0-1
 - Initial build 
